Bug Hunting Session
Bug 49655 - FILEOPEN: Wrong display of table
Summary: FILEOPEN: Wrong display of table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:3.7.0 target:3.6.3
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-05-08 13:21 UTC by lcostaouec
Modified: 2015-12-17 12:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Description files (see bug description) (172.22 KB, application/zip)
2012-05-09 05:17 UTC, lcostaouec
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lcostaouec 2012-05-08 13:21:27 UTC
Problem description: LibO 3.5.3 does not succeed in displaying correctly RTF "hand-made" file (see attachment - toto-2.rtf file). toto-2.pdf is the file image opened by MSOffice 2010.
Display was correct with LibO 3.4.5.

Steps to reproduce:
1. Open toto-2.rtf

Current behavior: wrong display (see toto-2.rtf)

Expected behavior: good display (see toto-2.pdf)

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 Michael Meeks 2012-05-09 02:30:12 UTC
Did you forget to add the attachment ? :-)
Comment 2 lcostaouec 2012-05-09 05:17:09 UTC
Created attachment 61280 [details]
Description files (see bug description)
Comment 3 s-joyemusequna 2012-05-11 06:12:04 UTC
Confirmed (Windows XP, Vista64).

Works fine with LibO 3.4.5 (and Word 2007).

Wrong formatting (2 pages instead of one etc.) with LibO 3.5.3 and LOdev version 3.6.0alpha0+ (Build ID: 34513fe).
Comment 4 Jean-Baptiste Faure 2012-06-25 21:31:49 UTC
Seems to work well with Abiword (ver. 2.8.6) but it shows that maybe there is an encoding problem in the rtf file, indeed the euro sign (€) is not correctly rendered. 

Best regards. JBF
Comment 5 lcostaouec 2012-06-27 06:29:30 UTC
I have tested the file with Abiword 2.8.6 and it works indeed.
Nevertheless, we have modified Euro symbol RTF encoding (\'80 instead of €) but no change unfortunately with LibO 3.4.5.2. File is still wrong.

One indication: while preparing test with Abiword, I "save as" one file with LibO 3.5.4.2 into rtf format (with another name). This new file is wrong when opening with Abiword but the original one is correct. Maybe, that could bring some ideas to you !?

Best regards,
L.Costaouec
Comment 6 lcostaouec 2012-08-23 07:22:38 UTC
Hello,
This "wrong display" issue still occur with LibO 3.6.0.4(win7 /32bits).
Is there any hope to fix this bug soon ?
BR
L.Costaouec
Comment 7 Miklos Vajna 2012-09-24 08:06:00 UTC
I see two problems here:

1) format -> page -> page tab -> page layout is 'mirrored' instead of 'left and right'.

2) The second table in the document is not imported as a table. This is because some text (a space character) in the middle of the table definition.

I'll look into this.
Comment 8 Not Assigned 2012-09-24 08:43:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da9acd209918ac26b44bddcf7b38b8887d23bfef

fdo#49655 dmapper: fix default page style layout



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Not Assigned 2012-09-24 08:43:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af6b7d8ba30d395e5f4a17876526434cf0a06005

fdo#49655 fix RTF import of text in the middle of table definition



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Miklos Vajna 2012-09-24 08:49:45 UTC
The page style problem should not cause layout problems, so I just fixed that on master.

The table problem is now resolved on master. -3-6 review request: https://gerrit.libreoffice.org/689
Comment 11 Not Assigned 2012-09-24 12:15:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94ca682d70afc707c4c560e7a4a62546ae7c5669&g=libreoffice-3-6

fdo#49655 fix RTF import of text in the middle of table definition


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 luksiw 2012-10-21 08:53:22 UTC
1. Tested opening file toto-2.rtf
2. Compared to expected behavior from file toto-2.pdf
3. File toto-2.rtf displays correctly.

OS: Windows XP
Build: libreoffice-3-6~2012-10-19_19.11.54_LibO-Dev_3.6.4.0_Win_x86_install_en-US.msi
Comment 13 Robinson Tryon (qubit) 2015-12-17 12:06:30 UTC Comment hidden (obsolete)